
Name:    kajongg
Summary: Classical Mah Jongg game for four players
Version: 4.10.0
Release: 3%{?dist}

License: GPLv2 and GFDL
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
BuildArch: noarch

buildRequires: kdelibs4-devel >= %{version}
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pykde4
BuildRequires: python-twisted-core

Requires: pykde4
Requires: python-twisted-core

Conflicts: kdegames < 6:4.9.60

%description
Kajongg is the ancient Chinese board game for 4 players. Kajongg can
be used in two different ways: Scoring a manual game where you play
as always and use Kajongg for the computation of scores and for
bookkeeping.  Or you can use Kajongg to play against any combination 
of other human players or computer players.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc COPYING COPYING.DOC voices/female2/COPYRIGHT
%{_kde4_bindir}/%{name}*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/%{name}/


%changelog
* Sun Mar 10 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.0-3
- Built for Fuduntu

* Thu Feb 28 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 4.10.0-3
- Built for Fuduntu

* Sun Feb 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, summary

* Sat Feb 09 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- Requires: python-twisted-core

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

